Bug 720948 (CVE-2011-2526) - CVE-2011-2526 tomcat: security manager restrictions bypass
Summary: CVE-2011-2526 tomcat: security manager restrictions bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2526
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110713,reported=2...
Depends On: 721086 721087 738503 738504 738505 738506 738507
Blocks: 720970 795277 810065
TreeView+ depends on / blocked
 
Reported: 2011-07-13 10:25 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:52 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-23 01:57:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1780 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2011-12-05 22:46:42 UTC
Red Hat Product Errata RHSA-2012:0041 normal SHIPPED_LIVE Moderate: jbossweb security update 2012-01-19 22:21:56 UTC
Red Hat Bugzilla 758931 None None None Never
Red Hat Bugzilla 794382 None None None Never
Red Hat Product Errata RHSA-2012:0074 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:17 UTC
Red Hat Product Errata RHSA-2012:0075 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:13 UTC
Red Hat Product Errata RHSA-2012:0076 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:06 UTC
Red Hat Product Errata RHSA-2012:0077 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:02 UTC
Red Hat Product Errata RHSA-2012:0078 normal SHIPPED_LIVE Important: JBoss Communications Platform 5.1.3 update 2012-02-01 04:02:57 UTC
Red Hat Product Errata RHSA-2012:0091 normal SHIPPED_LIVE Important: JBoss Enterprise Portal Platform 4.3 CP07 update 2012-02-03 03:19:04 UTC
Red Hat Product Errata RHSA-2012:0325 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-22 10:10:34 UTC
Red Hat Product Errata RHSA-2012:0679 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:28:06 UTC
Red Hat Product Errata RHSA-2012:0680 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:27:56 UTC
Red Hat Product Errata RHSA-2012:0681 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:38:23 UTC
Red Hat Product Errata RHSA-2012:0682 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:48:57 UTC

Internal Links: 758931 794382

Description Jan Lieskovsky 2011-07-13 10:25:02 UTC
The Tomcat sendfile support (when HTTP APR or HTTP NIO connectors are enabled) allows to send large static files. These writes, as soon as the system load increases, will be performed asynchronously in the most efficient way.

It was found that Tomcat, the Apache Servlet/JSP Engine, did not properly sanitize arguments provided to sendfile call methods, when a web application was running under the security manager:
1) such application could use the sendfile support to expose server files, that should be made inaccessible by the security manager,
2) when HTTP APR/native connector was used, such application could specify invalid sendfile start/end points and trigger a JVM crash.

Comment 5 Jan Lieskovsky 2011-07-13 16:25:33 UTC
Public now via:
[1] http://tomcat.apache.org/security-5.html
    (Apache Tomcat 5.5.34 [not yet released] case),
[2] http://tomcat.apache.org/security-6.html
    (Apache Tomcat 6.0.33 [not yet released] case).

Related patches:
[3] http://people.apache.org/~markt/patches/2011-07-13-cve-2011-2526-tc5.patch
    (Apache Tomcat 5.5.x case)

[4] http://people.apache.org/~markt/patches/2011-07-13-cve-2011-2526-tc6.patch
    (Apache Tomcat 6.0.x case)

Comment 6 Jan Lieskovsky 2011-07-13 16:43:39 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 721087]

Comment 7 Jan Lieskovsky 2011-07-13 16:43:43 UTC
Created tomcat5 tracking bugs for this issue

Affects: fedora-all [bug 721086]

Comment 8 Jan Lieskovsky 2011-07-13 16:45:01 UTC
This issue affects the versions of the tomcat5 package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

This issue affects the versions of the tomcat6 package, as shipped with Fedora release of 14 and 15. Please schedule an update.

Comment 9 David Knox 2011-07-13 17:29:26 UTC
fedora updates for both tomcat6 and tomcat5 will begin 14 July.

Comment 15 David Jorm 2011-07-28 00:44:53 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 16 Vincent Danen 2011-08-16 15:31:32 UTC
This is now fixed upstream:

http://svn.apache.org/viewvc?view=revision&revision=1158244 (tomcat5)
http://svn.apache.org/viewvc?view=revision&revision=1146703 (tomcat6)

Comment 25 Murray McAllister 2011-11-01 02:52:16 UTC
Acknowledgements:

Red Hat would like to thank the Apache Tomcat project for reporting this issue.

Comment 27 errata-xmlrpc 2011-12-05 17:49:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1780 https://rhn.redhat.com/errata/RHSA-2011-1780.html

Comment 28 Gary Anderson 2011-12-23 15:19:41 UTC
Does this CVE affect the version of Tomcat 5 shipped with RHEL 5?  If so is there a RHSA/fix available?

Comment 29 David Jorm 2011-12-24 00:54:41 UTC
(In reply to comment #28)
> Does this CVE affect the version of Tomcat 5 shipped with RHEL 5?  If so is
> there a RHSA/fix available?

This CVE does not affect Tomcat 5 as shipped with Red Hat Enterprise Linux 5. The flaw is only present when the HTTP NIO or HTTP APR connector is used. Neither of these connectors ship with Tomcat 5 on Red Hat Enterprise Linux 5.

Comment 30 errata-xmlrpc 2012-01-19 17:22:16 UTC
This issue has been addressed in following products:

   JBoss Enterprise Application Platform 4.3.0 CP10

Via RHSA-2012:0041 https://rhn.redhat.com/errata/RHSA-2012-0041.html

Comment 31 errata-xmlrpc 2012-01-31 23:04:09 UTC
This issue has been addressed in following products:

  JBoss Communications Platform 5.1.3

Via RHSA-2012:0078 https://rhn.redhat.com/errata/RHSA-2012-0078.html

Comment 32 errata-xmlrpc 2012-01-31 23:06:29 UTC
This issue has been addressed in following products:

   JBoss Enterprise Web Platform 5.1.2

Via RHSA-2012:0077 https://rhn.redhat.com/errata/RHSA-2012-0077.html

Comment 33 errata-xmlrpc 2012-01-31 23:06:54 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6
  JBEWP 5 for RHEL 4
  JBEWP 5 for RHEL 5

Via RHSA-2012:0076 https://rhn.redhat.com/errata/RHSA-2012-0076.html

Comment 34 errata-xmlrpc 2012-01-31 23:07:16 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:0075 https://rhn.redhat.com/errata/RHSA-2012-0075.html

Comment 35 errata-xmlrpc 2012-01-31 23:07:37 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6
  JBEAP 5 for RHEL 4
  JBEAP 5 for RHEL 5

Via RHSA-2012:0074 https://rhn.redhat.com/errata/RHSA-2012-0074.html

Comment 36 errata-xmlrpc 2012-02-02 22:20:04 UTC
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 4.3 CP07

Via RHSA-2012:0091 https://rhn.redhat.com/errata/RHSA-2012-0091.html

Comment 37 errata-xmlrpc 2012-02-22 05:11:06 UTC
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.2.0
  JBoss Enterprise Portal Platform 5.2.0
  JBoss Enterprise SOA Platform 5.2.0

Via RHSA-2012:0325 https://rhn.redhat.com/errata/RHSA-2012-0325.html

Comment 38 Coty Sutherland 2012-05-01 16:43:24 UTC
Are we making any kind of progress on this for EWS 1.0.2 (tomcat 6.0.32)?

Comment 39 David Jorm 2012-05-02 00:00:12 UTC
(In reply to comment #38)
> Are we making any kind of progress on this for EWS 1.0.2 (tomcat 6.0.32)?

An erratum for EWS 1.0.2 is in progress. It is currently awaiting QE.

Comment 40 errata-xmlrpc 2012-05-21 16:32:02 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0680 https://rhn.redhat.com/errata/RHSA-2012-0680.html

Comment 41 errata-xmlrpc 2012-05-21 16:33:47 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0679 https://rhn.redhat.com/errata/RHSA-2012-0679.html

Comment 42 errata-xmlrpc 2012-05-21 16:41:04 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0681 https://rhn.redhat.com/errata/RHSA-2012-0681.html

Comment 43 errata-xmlrpc 2012-05-21 16:49:35 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0682 https://rhn.redhat.com/errata/RHSA-2012-0682.html


Note You need to log in before you can comment on or make changes to this bug.